ISTI Open Access - Support #16920

Merge Spano profiles
Jun 12,2019 11:46 AM - Leonardo Candela

Status:
Priority:
Assignee:
Target version:
VREName:

Closed

Normal

Michele Artini

ISTI Open Portal Tasks

Start date:

Due date:

% Done:

Jun 12, 2019

100%

Description

Merge profiles of Lucio Davide Spano e Lucio Spano

History

#1 - Jun 12,2019 12:53 PM - Michele Artini

Done.

#2 - Jun 12, 2019 12:53 PM - Michele Artini

- Status changed from New to Closed

- % Done changed from 0 to 100

Apr 30, 2025

1/1
